<?php

namespace PHPMaker2021\rdigital21;

// Page object
$EktrakurikulerAdd = &$Page;
?>
<script>
var currentForm, currentPageID;
var fektrakurikuleradd;
loadjs.ready("head", function () {
    var $ = jQuery;
    // Form object
    currentPageID = ew.PAGE_ID = "add";
    fektrakurikuleradd = currentForm = new ew.Form("fektrakurikuleradd", "add");

    // Add fields
    var currentTable = <?= JsonEncode(GetClientVar("tables", "ektrakurikuler")) ?>,
        fields = currentTable.fields;
    if (!ew.vars.tables.ektrakurikuler)
        ew.vars.tables.ektrakurikuler = currentTable;
    fektrakurikuleradd.addFields([
        ["kode_tapel", [fields.kode_tapel.visible && fields.kode_tapel.required ? ew.Validators.required(fields.kode_tapel.caption) : null], fields.kode_tapel.isInvalid],
        ["ektrakurikuler", [fields.ektrakurikuler.visible && fields.ektrakurikuler.required ? ew.Validators.required(fields.ektrakurikuler.caption) : null], fields.ektrakurikuler.isInvalid],
        ["pembina", [fields.pembina.visible && fields.pembina.required ? ew.Validators.required(fields.pembina.caption) : null], fields.pembina.isInvalid]
    ]);

    // Set invalid fields
    $(function() {
        var f = fektrakurikuleradd,
            fobj = f.getForm(),
            $fobj = $(fobj),
            $k = $fobj.find("#" + f.formKeyCountName), // Get key_count
            rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1,
            startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
        for (var i = startcnt; i <= rowcnt; i++) {
            var rowIndex = ($k[0]) ? String(i) : "";
            f.setInvalid(rowIndex);
        }
    });

    // Validate form
    fektrakurikuleradd.validate = function () {
        if (!this.validateRequired)
            return true; // Ignore validation
        var fobj = this.getForm(),
            $fobj = $(fobj);
        if ($fobj.find("#confirm").val() == "confirm")
            return true;
        var addcnt = 0,
            $k = $fobj.find("#" + this.formKeyCountName), // Get key_count
            rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1,
            startcnt = (rowcnt == 0) ? 0 : 1, // Check rowcnt == 0 => Inline-Add
            gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
        for (var i = startcnt; i <= rowcnt; i++) {
            var rowIndex = ($k[0]) ? String(i) : "";
            $fobj.data("rowindex", rowIndex);

            // Validate fields
            if (!this.validateFields(rowIndex))
                return false;

            // Call Form_CustomValidate event
            if (!this.customValidate(fobj)) {
                this.focus();
                return false;
            }
        }

        // Process detail forms
        var dfs = $fobj.find("input[name='detailpage']").get();
        for (var i = 0; i < dfs.length; i++) {
            var df = dfs[i],
                val = df.value,
                frm = ew.forms.get(val);
            if (val && frm && !frm.validate())
                return false;
        }
        return true;
    }

    // Form_CustomValidate
    fektrakurikuleradd.customValidate = function(fobj) { // DO NOT CHANGE THIS LINE!
        // Your custom validation code here, return false if invalid.
        return true;
    }

    // Use JavaScript validation or not
    fektrakurikuleradd.validateRequired = <?= Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

    // Dynamic selection lists
    loadjs.done("fektrakurikuleradd");
});
</script>
<script>
loadjs.ready("head", function () {
    // Write your table-specific client script here, no need to add script tags.
});
</script>
<?php $Page->showPageHeader(); ?>
<?php
$Page->showMessage();
?>
<form name="fektrakurikuleradd" id="fektrakurikuleradd" class="<?= $Page->FormClassName ?>" action="<?= CurrentPageUrl(false) ?>" method="post">
<?php if (Config("CHECK_TOKEN")) { ?>
<input type="hidden" name="<?= $TokenNameKey ?>" value="<?= $TokenName ?>"><!-- CSRF token name -->
<input type="hidden" name="<?= $TokenValueKey ?>" value="<?= $TokenValue ?>"><!-- CSRF token value -->
<?php } ?>
<input type="hidden" name="t" value="ektrakurikuler">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?= (int)$Page->IsModal ?>">
<input type="hidden" name="<?= $Page->OldKeyName ?>" value="<?= $Page->OldKey ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($Page->ektrakurikuler->Visible) { // ektrakurikuler ?>
    <div id="r_ektrakurikuler" class="form-group row">
        <label id="elh_ektrakurikuler_ektrakurikuler" for="x_ektrakurikuler" class="<?= $Page->LeftColumnClass ?>"><?= $Page->ektrakurikuler->caption() ?><?= $Page->ektrakurikuler->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
        <div class="<?= $Page->RightColumnClass ?>"><div <?= $Page->ektrakurikuler->cellAttributes() ?>>
<span id="el_ektrakurikuler_ektrakurikuler">
<input type="<?= $Page->ektrakurikuler->getInputTextType() ?>" data-table="ektrakurikuler" data-field="x_ektrakurikuler" name="x_ektrakurikuler" id="x_ektrakurikuler" size="30" maxlength="255" value="<?= $Page->ektrakurikuler->EditValue ?>"<?= $Page->ektrakurikuler->editAttributes() ?> aria-describedby="x_ektrakurikuler_help">
<?= $Page->ektrakurikuler->getCustomMessage() ?>
<div class="invalid-feedback"><?= $Page->ektrakurikuler->getErrorMessage() ?></div>
</span>
</div></div>
    </div>
<?php } ?>
<?php if ($Page->pembina->Visible) { // pembina ?>
    <div id="r_pembina" class="form-group row">
        <label id="elh_ektrakurikuler_pembina" for="x_pembina" class="<?= $Page->LeftColumnClass ?>"><?= $Page->pembina->caption() ?><?= $Page->pembina->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
        <div class="<?= $Page->RightColumnClass ?>"><div <?= $Page->pembina->cellAttributes() ?>>
<span id="el_ektrakurikuler_pembina">
<input type="<?= $Page->pembina->getInputTextType() ?>" data-table="ektrakurikuler" data-field="x_pembina" name="x_pembina" id="x_pembina" size="30" maxlength="255" value="<?= $Page->pembina->EditValue ?>"<?= $Page->pembina->editAttributes() ?> aria-describedby="x_pembina_help">
<?= $Page->pembina->getCustomMessage() ?>
<div class="invalid-feedback"><?= $Page->pembina->getErrorMessage() ?></div>
</span>
</div></div>
    </div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$Page->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
    <div class="<?= $Page->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?= $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?= HtmlEncode(GetUrl($Page->getReturnUrl())) ?>"><?= $Language->phrase("CancelBtn") ?></button>
    </div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$Page->showPageFooter();
echo GetDebugMessage();
?>
<script>
// Field event handlers
loadjs.ready("head", function() {
    ew.addEventHandlers("ektrakurikuler");
});
</script>
<script>
loadjs.ready("load", function () {
    // Write your table-specific startup script here, no need to add script tags.
});
</script>
